Page MenuHomePhabricator

Investigation: technical possibilities for backend of "Removing articles from watchlist after a custom timeframe"
Closed, ResolvedPublic8 Story Points

Description

Related Change-Set: https://gerrit.wikimedia.org/r/#/c/245881/

Investigate how we can implement the needed functionality in the backend.

Questions to consider:

  • have an extension for this?
  • integrate into core?
  • ...

Things that need to be considered (incomplete):

  • alter API(s)
  • change backend code that writes to watchlists
  • change code that shows the watchlist items to check for expired items
  • adapt job for notification mails
  • extra field for expiration date in watchlist table
  • ...

Result of this investigation should be something that can be turned into an RFC.

Event Timeline

Tobi_WMDE_SW raised the priority of this task from to Normal.
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW moved this task from Incoming to Sprint Ready on the TCB-Team board.
Addshore added a subscriber: Addshore.
Tobi_WMDE_SW renamed this task from Investigate technical possibilities for removing articles from watchlist after a custom timeframe to Investigation: technical possibilities for backend of "Removing articles from watchlist after a custom timeframe".Jun 25 2015, 11:09 AM
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW set Security to None.
Tobi_WMDE_SW edited a custom field.
Tobi_WMDE_SW updated the task description. (Show Details)Jan 6 2016, 3:26 PM

Some bits on how we are going to implement a possibility of defining the expiry time for watchlist items:

  • new feature is going to be integrated into core,
  • new field storing the expiry date would be added to the watchlist table,
  • expiry date will be considered by all bits related to the watchlist: (list not intended to be complete now) notifications, API:Watchlist, API:Watchlistraw, API:Watchlist_feed
  • defining the expiry date will be possible through Special:EditWatchlist. See https://phabricator.wikimedia.org/T103823 for more thoughts on the UI-related aspects,
  • it is going to be possible to define the expiry date using API's watch action as well,
  • we are hoping to refactor code related to fetching watchlist items from the DB,
  • expired watchlist items will be removed from the DB once they are no longer required

We are going to create a RFC providing implementation details, see: https://phabricator.wikimedia.org/T123473

Qgil removed a subscriber: Qgil.Jan 14 2016, 1:13 AM
Catrope removed a subscriber: Catrope.Jan 15 2016, 11:12 PM
Addshore closed this task as Resolved.Feb 4 2016, 10:35 AM
Addshore claimed this task.

Well, this has defiantly hapepned, and the RFC has also happened

Restricted Application added a project: User-Addshore. · View Herald TranscriptJun 7 2017, 6:51 PM